Subject: bug#69631: closed (Re: bug#69631: 30.0.50; native compilation errors)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 Mar 2024 19:46:01 +0000

Your bug report

#69631: 30.0.50; native compilation errors

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69631: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69631
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69631: 30.0.50; native compilation errors
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 08 Mar 2024 21:45:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], Andrea Corallo <[email-masked]>,
>  [email-masked]
> Date: Fri, 08 Mar 2024 17:54:44 +0000
> From: [email-masked]
> 
> With commit 345cdd7a70558cd47c2ab3e124e2352debaa57cb
> make bootstrap as well as a normal install show none of mine issues
> reported in this thread.
> 
> So for me everything is OK, but I do not have the skills to run make 
> test

Thanks, I'm therefore closing this bug.

Subject: 30.0.50; native compilation errors
From: [email-masked]
To: [email-masked]
Date: Fri, 08 Mar 2024 09:20:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I see that native compilation of some files fails when I recompile my 
whole eln-cache.

In this case, I have in my *Async-native-compile-log* messages like:
/Users/vermeulen/opt/share/emacs/30.0.50/lisp/emacs-lisp/package.el.gz: 
Error Type or missing from typeof-types!
and the package eln file is not generated.

I see this also happen for wid-edit.el.gz and Org-mode (main repro 
checkout)
ox-texinfo, ob-core, ob-fortran, and ob-core as well as
elpa/debbugs-0.40.0.20240215.214858/debbugs-gnu.el.

GNU Emacs 30.0.50 (build 1, x86_64-apple-darwin20.6.0, NS appkit-2202.70 
Version 11.7.1 (Build 20G918)) of 2024-03-08
commit bd017175d4571e24ef1fdf84676136af1d36002d

Regards -- Gerard